Get a user token by ID – Management API – MediaKind
Get a user token by ID
Get a user token by ID.
Requires authentication; no additional RBAC permissions required.
Authentication
Authorization Bearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
| Parameter | Type | Required | Format |
|---|---|---|---|
| token_id | string | Yes | uuid |
Response
200 OK
| Field | Type | Required | Description |
|---|---|---|---|
| kind | string | No | The kind of record. |
| metadata | object | Yes | Token metadata. |
| JWT | string | No | Generated token. We do not store this token, so you will not be able to see it again. Please copy it and keep it securely. |
| id | string | Yes | ID of token. |
| type | enum | Yes | Token type. Allowed values: login, full-access, restricted, ephemeral |
| spec | object | Yes | Token spec. |
Token Metadata Properties
| Key | Type | Required | Description |
|---|---|---|---|
| description | string | No | Description of the token. Max 128 characters. |
| expires | string | Yes | Date token expires. |
| issued | string | Yes | Date token was issued. |
| lastUsed | string or null | Yes | Date token was last used on the MK.IO api. |
| organizationId | string or null | No | ID of the organization that this token allows access to. |
| permissions | map | No | The RBAC capabilities assigned to the token when type is 'restricted' |
| revoked | string or null | Yes | Date token was revoked, or null if not revoked. |
| revokedBy | string | No | Email of user who revoked this token. |
| user | string | Yes | Email of user the token was issued for. |
Errors
400 Bad Request
| Field | Type | Required | Description |
|---|---|---|---|
| error | object | Yes | Pertinent information about the error |
Error Detail Properties
| Key | Type | Required | Description |
|---|---|---|---|
| code | string | Yes | The error code. |
| detail | string | Yes | The error message. |
| extraDetail | map | No | Extra information regarding this error. |
| ref | string | Yes | A reference to the request that caused the error. |
| status | integer | Yes | The HTTP status code |
401 Unauthorized
403 Forbidden
404 Not Found
429 Too Many Requests
500 Internal Server Error
The error definitions for 401, 403, 404, 429, and 500 are similar to the 400 error definition above.